datacache <- new.env(hash=TRUE, parent=emptyenv())

illuminaHumanv2 <- function() showQCData("illuminaHumanv2", datacache)
illuminaHumanv2_dbconn <- function() dbconn(datacache)
illuminaHumanv2_dbfile <- function() dbfile(datacache)
illuminaHumanv2_dbschema <- function(file="", show.indices=FALSE) dbschema(datacache, file=file, show.indices=show.indices)
illuminaHumanv2_dbInfo <- function() dbInfo(datacache)

illuminaHumanv2ORGANISM <- "Homo sapiens"

.onLoad <- function(libname, pkgname)
{
    require("methods", quietly=TRUE)
    ## Connect to the SQLite DB
    dbfile <- system.file("extdata", "illuminaHumanv2.sqlite", package=pkgname, lib.loc=libname)
    assign("dbfile", dbfile, envir=datacache)
    dbconn <- dbFileConnect(dbfile)
    assign("dbconn", dbconn, envir=datacache)
    ## Create the AnnObj instances
    ann_objs <- createAnnObjs.HUMANCHIP_DB("illuminaHumanv2", "chip illuminaHumanv2", dbconn, datacache)
    mergeToNamespaceAndExport(ann_objs, pkgname)
}

.onUnload <- function(libpath)
{
    dbFileDisconnect(illuminaHumanv2_dbconn())
}

